curl --location '/api/v1/partner/contracts//inspections' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"inspection": {
"notes": "Inspection completed",
"electrical": {
"condition": false,
"power_source": 380,
"power_input": 0
},
"mechanical": {
"condition": true,
"movement": "normal",
"physical_condition": "80%"
},
"tool_function": {
"condition": true,
"power_status": true,
"functional_test": true
}
}
}'{
"success": true,
"data": {
"inspection": {
"id": 0,
"contract_id": 0,
"template_id": 0,
"partner_id": 0,
"conducted_at": "2019-08-24T14:15:22.123Z",
"notes": "string",
"electrical": {
"condition": true,
"power_source": 0,
"power_input": 0
},
"mechanical": {
"condition": true,
"movement": "string",
"physical_condition": "string"
},
"tool_function": {
"condition": true,
"power_status": true,
"functional_test": true
}
}
}
}